Subject: Re: [net-next,v3,6/8] bng_en: add initial support for ethtool stats display

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Mar 2026 10:22:56 -0800

On Wed, 4 Mar 2026 13:38:35 +0530 Bhargava Chenna Marreddy wrote:
> I see the issue. These aren't actually duplicates of the standard
> per-interface stats.
> They are unique per-ring hardware counters, but the strings happen to match.
> 
> To fix the collision, I'll prefix the entire ring stat arrays with
> rxq_ and txq_.
> 
> Example of the new output:
>   - Per-ring stats (via ethtool -S):
>       # ethtool -S eno12399np0 | grep rxq_errors
>         [0]: rxq_errors: 0
>          [1]: rxq_errors: 0
>          ...
>         [n-1]: rxq_errors: 0

Unrelated to the previous comment, but could you perhaps not use 
this `[id]: name: value` notation in bng_en? Having spaces in the name
of the stats in bnxt breaks a bunch of scripts for me. rxq$id_$name is
the notation majority of the drivers use.

>   - Standard interface stats (via .ndo_get_stats64 / sysfs):
>       # cat /sys/class/net/eno12399np0/statistics/rx_errors
>          0

Standard stats does not mean just rtnl_stats. Please TAL at the per
queue stats for instance. If you think some of the counters don't
match you can keep them but please include in the commit msg the
analysis of what counters you considered + what the HW counter is doing
= why the two don't match.